package cn.palmte.work.model.process;

import java.math.BigDecimal;
import java.util.List;

import cn.palmte.work.model.Project;
import cn.palmte.work.model.ProjectBudgetIncomeDetail;
import cn.palmte.work.model.enums.CooperationType;
import cn.palmte.work.model.enums.ProjectType;
import lombok.Data;

/**
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/30 00:11
 */
@Data
public class ProjectProcessDetail {

  private Integer processId;

  private Project project;
  private ProjectProcess process;
  private ProjectType projectType;
  private CooperationType cooperationType;

  private List<ProcessAttachment> attachments;

  private String isPrepaid;
  private BigDecimal repaidAmount;

  private Object contract;

  public List<ProjectBudgetIncomeDetail> incomeDetails;

  public List<SupplierMaterial> supplierMaterials;
  public List<ProcurementDetail> procurementDetails;

}
